package com.loganmagnan.firstjoincommand.commands;

import com.loganmagnan.firstjoincommand.FirstJoinCommand;
import com.loganmagnan.firstjoincommand.utils.ColorUtils;
import com.loganmagnan.firstjoincommand.utils.command.BaseCommand;
import com.loganmagnan.firstjoincommand.utils.command.Command;
import com.loganmagnan.firstjoincommand.utils.command.CommandArguments;
import org.bukkit.configuration.InvalidConfigurationException;
import org.bukkit.entity.Player;

import java.io.IOException;

public class ReloadFilesCommand extends BaseCommand {

    private FirstJoinCommand main = FirstJoinCommand.getInstance();

    @Command(name = "reloadfiles")
    @Override
    public void executeAs(CommandArguments command) {
        Player player = command.getPlayer();

        String[] args = command.getArgs();

        if (args.length == 0) {
            try {
                this.main.getMainConfig().getConfig().load(this.main.getMainConfig().getConfigFile());
            } catch (Exception exception) {
                exception.printStackTrace();
            }

            player.sendMessage(ColorUtils.getMessageType("&aFiles reloaded"));
        }
    }
}
